Bug 76329 - Upgrade to KDE 3.0.4 fails to boot.
Upgrade to KDE 3.0.4 fails to boot.
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-10-19 23:47 EDT by Rob Blomquist
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-19 23:47:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rob Blomquist 2002-10-19 23:47:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
I removed all the KDE packages after my upgrade from 7.3 to 8.0. I then downloaded the source code for KDE 3.0.4 and compiled it. GDM does not see it, switchdesk fails to find it, and I am even unable to boot it at run level 3.

For the packages I compiled the location of the binaries is in /usr/local/kde/bin. This location is now in my path, and I can run all KDE applications from within Gnome.

I am not at all happy with what RH has done to KDE and Gnome. I liked it the way it was before. Rather than rant, I would just like to know what scripts I will need to change to boot both KDE upgrades and Gnome upgrades in the future.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Blow out Bluecurve KDE rpms.
2.Install KDE from source
3.Attempt to start KDE from any normal manner.	

Actual Results:  No KDE, but KDE apps available.	

Expected Results:  The KDE desktop should boot.

Additional info:
Comment 1 Ngo Than 2002-10-21 08:15:45 EDT
it does not work if you installed it under /usr/local.

If you want to have 3.0.4 for 8.0 please download 3.0.4, which i have build for
8.0, from ftp.kde.org.

Comment 2 Rob Blomquist 2002-10-21 18:52:54 EDT
If one wants unadulterated KDE on RH 8.0, a source installation is the way to   
go. I have lost trust in the RPMs that they are providing, as they are likely   
just more of the same from Bluecurve.   
The proper fix is to add /usr/local/kde/bin into the path in .bash_profile for   
all KDE users, and for root. It is also best to add the complete root path and   
user path into /usr/local/kde/share/config/kdm/kdmrc as  system path and user  
path respectively.  
In order to use KDM rather than GDM, the easiest fix is to edit /etc/inittab  
and change the last line to: "x:5:respawn:/usr/local/kde/bin/kdm -nodaemon". 
This allows one to run KDE as it should be, not as RH tweaked it to be.

Note You need to log in before you can comment on or make changes to this bug.